---
title: "/buckets/{bucketId}/objects/{objectId}"
url: "https://developers.rest.rodeo/apis/storage/versions/8415f51a-292b-4046-b795-bc13ea7a48cf/operations/getObject"
---

> Full API specification: https://developers.rest.rodeo/apis/storage/versions/8415f51a-292b-4046-b795-bc13ea7a48cf.md

# /buckets/{bucketId}/objects/{objectId}

`GET` `/buckets/{bucketId}/objects/{objectId}`

Operation ID: `getObject`

Returns a single object by id.

## Path parameters

- `bucketId` (string, uuid, required) - The bucket id.
- `objectId` (string, uuid, required) - The object id.

## Responses

- `200` - The object
- `401` - Missing or invalid bearer token
- `404` - No bucket or object with these ids
- `405` - Method not allowed

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: Storage API
  version: 1.0.0
servers:
  - url: https://api.rest.rodeo/storage/api/v1
    description: Production
paths:
  /buckets/{bucketId}/objects/{objectId}:
    get:
      operationId: getObject
      summary: /buckets/{bucketId}/objects/{objectId}
      description: Returns a single object by id.
      parameters:
        - $ref: "#/components/parameters/BucketId"
        - $ref: "#/components/parameters/ObjectId"
      responses:
        "200":
          description: The object
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/StoredObject"
              examples:
                object:
                  value:
                    id: c7f2b6de-4b1a-4e0f-9b0d-1f6e4c8a2b3c
                    data:
                      name: manifest.json
                      size: 1024
        "401":
          description: Missing or invalid bearer token
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "404":
          description: No bucket or object with these ids
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
        "405":
          description: Method not allowed
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Error"
security:
  - bearerAuth: []
components:
  parameters:
    BucketId:
      name: bucketId
      in: path
      required: true
      schema:
        type: string
        format: uuid
      description: The bucket id.
    ObjectId:
      name: objectId
      in: path
      required: true
      schema:
        type: string
        format: uuid
      description: The object id.
  schemas:
    StoredObject:
      type: object
      required:
        - id
        - data
      properties:
        id:
          type: string
          format: uuid
          description: The object id.
        data:
          description: The stored JSON value. May be any JSON type and any depth, as long
            as its stringified content does not exceed 1MB.
    Error:
      type: object
      required:
        - error
      additionalProperties: false
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
```
